Articles of devtools

No se puede instalar el package "exploratorio" en R

Estoy intentando instalar el package "exploratorio" en R usando el package "devtools", pero está fallando. ¿Alguien puede ayudar? Esto es lo que estoy intentando: library(devtools) devtools::install_github("exploratory-io/exploratory_func") Y el error que estoy obteniendo es: Downloading GitHub repo exploratory-io/exploratory_func@master from URL https://api.github.com/repos/exploratory-io/exploratory_func/zipball/master Installing exploratory "C:/Program Files/R/R-3.3.1/bin/x64/R" –no-site-file –no-environ –no-save \ –no-restre –quiet CMD INSTALL \ "C:/Users/AXV1073/AppData/Local/Temp/RtmpMNjLUw/devtools6f41c5017be/exploratory-io-exploratory_func-82c82af" \ […]

Error al cargar packages de routes de bibliotecas no pnetworkingeterminadas

Cómo cargar los packages que no están presentes en .libPaths() ?? Comprobando las bibliotecas .libPaths() # [1] "/m/home/userXYZ/unix/R/x86_64-pc-linux-gnu-library/3.4" # [2] "/usr/local/lib/R/site-library" # [3] "/usr/lib/R/site-library" # [4] "/usr/lib/R/library" Agregar una nueva ruta newPath = "/m/home/userXYZ/unix/R/x86_64-pc-linux-gnu-library/DevPacks/" .libPaths( c( .libPaths(), newPath) ) libPaths() # [1] "/m/home/userXYZ/unix/R/x86_64-pc-linux-gnu-library/3.4" # [2] "/usr/local/lib/R/site-library" # [3] "/usr/lib/R/site-library" # [4] "/usr/lib/R/library" # [5] "/m/home/userXYZ/unix/R/x86_64-pc-linux-gnu-library/DevPacks" […]

Problemas al instalar un package R de Github

Por favor, sean pacientes conmigo ya que soy un novato total, pero realmente estoy tratando de aprender. Estoy tratando de hacer un map de coropletas para mi país, y encontré un package R en Github que lo maneja de manera excelente. Sin embargo, estoy trabajando en una computadora de la universidad y no tengo privilegios […]

Error en loadNamespace (name): no hay ningún package llamado 'Rsenal'

Estoy tratando de usar esta fuente de github. devtools::source_url('https://raw.githubusercontent.com/brooksandrew/Rsenal/master/R/bin.R') Podría usar esto y trabajar con él hasta unas horas atrás. pero ahora me da el siguiente error Error in loadNamespace(name) : there is no package called 'Rsenal' El código todavía está allí en la url proporcionada. Repetí los siguientes dos commands pero aún no funcionaba. […]

R cran Imposible instalar dependencies recursivamente desde install_github desde devtools

Intento probar mi package desarrollado en Ubuntu 16.04 con Windows 7. Para ambas plataforms, trabajo en R 3.3.1 (pero también pruebo en 3.3.0). Mi package se guarda en mi repository de GitHub ( https://github.com/charlottesirot/elementR ). Cuando ejecuto este command desde Ubuntu, no ocurre ningún problema: library(devtools) install_github("charlottesirot/elementR", dependencies = T , force = T) pero […]

install_github install package pero no puedo llamar a las funciones

Puedo ver que mi package está instalado con la library() , pero cuando cargo el package de la biblioteca, no puedo llamar a ninguna de las funciones. > install_github("pdfHarvester", "hansthompson") > library(pdfHarvester) > Convert Error: object 'Convert' not found > Parse_Tables Error: object 'Convert' not found

error al instalar el package en una twig con install_github

He bifurcado un package de Github, he hecho algunos cambios. Estoy intentando instalar la versión del package al que hice cambios con install_github (), pero recibo un post de error. ¿Alguna sugerencia? La versión bifurcada: https://github.com/embruna/refnet La versión editada en la sucursal: https://github.com/embruna/refnet/tree/proposed-updates Puedo instalar la versión bifurcada con: install_github("embruna/refnet", subdir="pkg") Intenté instalar la versión […]

Installling rbokeh de problemas Github

Tengo muchos problemas para download packages de github. Creo que mi problema es que no tengo una versión R actualizada. Si hago eso, entonces creo que puedo download packages de github. ¿Alguien tiene alguna idea de cómo actualizar mi versión R para que me permita hacer esto? ¿O posiblemente sea un problema diferente? ¡Cualquier ayuda […]

Instalar error al instalar el package R de github

Intento instalar un multidplyr package R (que actualmente no está disponible en CRAN) de github. Seguí este enlace. Primero install.packages("devtools") , luego library(devtools) , luego devtools::install_github("hadley/multidplyr") . Pero genera el post de error Downloading GitHub repo hadley/multidplyr@master from URL https://api.github.com/repos/hadley/multidplyr/zipball/master Installing multidplyr "C:/PROGRA~1/R/R-34~1.1/bin/x64/R" –no-site-file –no-environ –no-save — no-restre –quiet CMD INSTALL \ "C:/Users/FTXX/AppData/Local/Temp/RtmpEpOeM9/devtools34805943869/hadley-multidplyr-0085ded" \ –library="C:/Users/FTXX/Documents/R/win-library/3.4" […]

Problemas con el package Devtools

Recientemente tuve que actualizar a una versión de Linux de 64 bits y volver a download Rstudio. Cuando bash usar install_github obtengo esto: > devtools::install_github("rstudio/dplyr") Downloading GitHub repo rstudio/dplyr@master from URL https://api.github.com/repos/rstudio/dplyr/zipball/master Installation failed: Not Found (404) Esta es una pequeña parte de un problema más grande que he tenido con la descarga de packages […]